/*
 *
 *  Tiny Window Version 2.0 - Example Program No.1
 *
 *  Copyright (c) Apr 1993
 *  Bomjun Kwon, SPARCS, KAIST (bomjun@baram.kaist.ac.kr)
 *
 */

#include <twin.h>

main()
	{
	unsigned char k;
	char t[80];
	WINDOW *w1, *w2, *w3, *w;

	tw_init();
	w1 = tw_create(10, 5, 20, 10);
	w2 = tw_create(13, 7, 20, 7);
	w3 = tw_create(15, 3, 18, 9);
	tw_border(w1, '#', '#', '#');
	tw_border(w2, '*', '*', '*');
	w = w3;

	Loop:
	k = tw_getchar(w);
	if (k == '')
		{
		tw_redraw();
		goto Loop;
		}
	if (k == '1')
		{
		w = w1;
		goto Loop;
		}
	if (k == '2')
		{
		w = w2;
		goto Loop;
		}
	if (k == '3')
		{
		w = w3;
		goto Loop;
		}
	if (k == 'i')
		{
		tw_move(w, w->lx, w->ly - 1);
		goto Loop;
		}
	if (k == 'j')
		{
		tw_move(w, w->lx - 1, w->ly);
		goto Loop;
		}
	if (k == 'k')
		{
		tw_move(w, w->lx, w->ly + 1);
		goto Loop;
		}
	if (k == 'l')
		{
		tw_move(w, w->lx + 1, w->ly);
		goto Loop;
		}
	if (k == 'I')
		{
		tw_resize(w, w->sx, w->sy - 1);
		tw_border(w, '-', '|', '+');
		goto Loop;
		}
	if (k == 'J')
		{
		tw_resize(w, w->sx - 1, w->sy);
		tw_border(w, '#', '#', '#');
		goto Loop;
		}
	if (k == 'K')
		{
		tw_resize(w, w->sx, w->sy + 1);
		tw_border(w, '$', '$', '$');
		goto Loop;
		}
	if (k == 'L')
		{
		tw_resize(w, w->sx + 1, w->sy);
		tw_border(w, '%', '%', '%');
		goto Loop;
		}
	if (k == 'f')
		{
		tw_front(w);
		goto Loop;
		}
	if (k == 'b')
		{
		tw_back(w);
		goto Loop;
		}
	if (k == 'q')
		{
		tw_end();
		exit(0);
		}
	goto Loop;
	}
